org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class GetNewReservationResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetNewReservationResponsePBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class GetNewReservationResponsePBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse

  The implementation of the response sent by the `ResourceManager` to the client for a request to get a new `ReservationId` for submitting reservations.

  Clients can submit an reservation with the returned `ReservationId`.

  `ApplicationClientProtocol#getNewReservation(GetNewReservationRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNewReservationResponsePBImpl()`
    `GetNewReservationResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetNewReservationResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetNewReservationResponseProto` | `getProto()`
    `org.apache.hadoop.yarn.api.records.ReservationId` | `getReservationId()`
    `int` | `hashCode()`
    `void` | `setReservationId(org.apache.hadoop.yarn.api.records.ReservationId reservationId)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNewReservationResponsePBImpl

          public GetNewReservationResponsePBImpl()

    - #### GetNewReservationResponsePBImpl

          public GetNewReservationResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetNewReservationResponseProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetNewReservationResponseProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getReservationId

          public org.apache.hadoop.yarn.api.records.ReservationId getReservationId()

      Specified by:
        `getReservationId` in class `org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse`

    - #### setReservationId

          public void setReservationId(org.apache.hadoop.yarn.api.records.ReservationId reservationId)

      Specified by:
        `setReservationId` in class `org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.